Fix Download Mod 6.5.23 und PHP vor 5.4.x

Support zu den Modifikationen (MODs) von Entwickler OXPUS für das phpBB 3.0.x
Antworten
Benutzeravatar
oxpus
Chief handy-man
Beiträge: 2569
Registriert: Do 13. Dez 2007, 23:06
Wohnort: Irgendwo im I-Net
Kontaktdaten:

Fix Download Mod 6.5.23 und PHP vor 5.4.x

Beitrag von oxpus »

Damit es bei der Suche nach Downloads unter PHP vor Version 5.4.x keine Fehlermeldung gibt, bitte in der Datei dl_mod/includes/dl_search.php die Zeile

Code: Alles auswählen

				if (preg_match_all('/' . preg_quote($search_words[$i], '/') . '/iu', $search_result))
ersetzen durch

Code: Alles auswählen

				if (preg_match_all('/' . preg_quote($search_words[$i], '/') . '/iu', $search_result, $matches))
Unbeachtet dessen wird empfohlen, immer die aktuellsten PHP Version zu verwenden, um neue Funktionen zu erhalten und gerade auch Sicherheitsmängel zu begleiten.
Karsten Ude
Kein Support per Messenger, Email oder PN! Unaufgeforderte Nachrichten werden ignoriert!
No support per Messenger, Email or PM. Each unasked message will be ignored!

Antworten